npm update crashes at --depth 20

What I Wanted to Do

I wanted to update some dependencies.

npm --depth 9 --dev update --verbose

did not go deep enough to fix them, so I ran

npm --depth 20 --dev update --verbose

What Happened Instead

npm timing npm Completed in 369974ms
npm ERR! cb() never called!

npm ERR! This is an error with npm itself. Please report this error at:
npm ERR! https://npm.community

npm ERR! A complete log of this run can be found in:
npm ERR! /Users/n0304144/.npm/_logs/2019-10-25T15_33_46_951Z-debug.log

Reproduction Steps

Not sure, as this may be specific to my particular env, but try

npm --depth 20 --dev update --verbose

Details

Platform Info

$ npm --versions
{
  'twilio-event-ingestor': '1.0.0',
  npm: '6.12.0',
  ares: '1.15.0',
  brotli: '1.0.7',
  cldr: '35.1',
  http_parser: '2.8.0',
  icu: '64.2',
  llhttp: '1.1.4',
  modules: '72',
  napi: '5',
  nghttp2: '1.39.2',
  node: '12.12.0',
  openssl: '1.1.1d',
  tz: '2019a',
  unicode: '12.1',
  uv: '1.32.0',
  v8: '7.7.299.13-node.12',
  zlib: '1.2.11'
}
$ node -p process.platform
darwin